org.apache.cassandra.utils.btree

## Class Path<V>

- java.lang.Object
- - org.apache.cassandra.utils.btree.Path<V>

- Direct Known Subclasses:
    BTreeSearchIterator, Cursor

      public class Path<V>
      extends java.lang.Object

  An internal class for searching and iterating through a tree. As it traverses the tree, it adds the nodes visited to a stack. This allows us to backtrack from a child node to its parent. As we navigate the tree, we destructively modify this stack. Path is only intended to be used via Cursor.

- - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2018 The Apache Software Foundation